#
# spec file for package sqlite3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%if 0%{?suse_version} >= 1100
# The package naming scheme changed starting with openSUSE 11.0
%define newscheme 1
%else
%define newscheme 0
%endif

Name:           sqlite3
BuildRequires:  pkg-config readline-devel tcl-devel
%if %{?suse_version:1}%{?!suse_version:0}
BuildRequires:  update-desktop-files
%endif
License:        Public Domain, Freeware
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
Url:            http://www.sqlite.org/
Version:        3.7.8
Release:        1
# %(IFS=.; a="%{version}"; printf "%d%02d%02d%02d" $a)
%define tarversion 3070800
# bug437293
%ifarch ppc64
Obsoletes:      sqlite-64bit
%endif
#
%if %newscheme
Requires:       libsqlite3-0 = %version
%endif
Provides:       sqlite = %version
Obsoletes:      sqlite < %version
Source0:        sqlite-autoconf-%tarversion.tar.gz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.

%if %newscheme

%package -n libsqlite3-0
License:        Public Domain, Freeware
Summary:        Shared libraries for the Embeddable SQL Database Engine
Group:          Development/Libraries/C and C++

%description -n libsqlite3-0
This package contains the shared libraries for the Embeddable SQL
Database Engine.

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is a server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.

%endif

%package devel
License:        Public Domain, Freeware
Group:          Development/Libraries/C and C++
Summary:        Embeddable SQL Database Engine
Requires:       %name = %version glibc-devel
Provides:       sqlite-devel = %version
Obsoletes:      sqlite-devel < %version

%description devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server; SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command-line tool or via any
application which supports the Qt database plug-ins.

%package tcl
License:        Public Domain, Freeware
Group:          Development/Libraries/Tcl
Summary:        Tcl binding for SQLite

%description tcl
This package contains laguage bindings from the Tcl programming
language SQLite.

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

%prep
%setup -q -n sqlite-autoconf-%tarversion

%build
export CFLAGS="-DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_USE_URI"
%configure --disable-static
make
cd tea
export CFLAGS=-I..
export LDFLAGS=-L../.libs
%configure --with-tcl=%_libdir --with-system-sqlite

%install
make install DESTDIR=%buildroot
rm %buildroot/%_libdir/*.la
cd tea
make install DESTDIR=%buildroot libdir=%tcl_archdir

%if %newscheme

%post -n libsqlite3-0 -p /sbin/ldconfig

%postun -n libsqlite3-0 -p /sbin/ldconfig
%else

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
/usr/bin/sqlite3
%doc %_mandir/man1/*
#
%if %newscheme

%files -n libsqlite3-0
%defattr(-,root,root)
%endif
%_libdir/libsqlite*.so.*

%files devel
%defattr(-,root,root)
/usr/include/*.h
%_libdir/libsqlite*.so
%_libdir/pkgconfig/sqlite3.pc

%files tcl
%defattr(-,root,root)
%tcl_archdir
%doc %_mandir/mann/*

%changelog
